
      SUBROUTINE achost ()
      IMPLICIT NONE

C       Set `report' in `acids' if we are on the host.

        INCLUDE 'aclmem.inc'
	INTEGER acallo
	INCLUDE 'acids.inc'

      END

      SUBROUTINE acnode (nprocs)
      IMPLICIT NONE
      INTEGER nprocs

C       Stub for testing.

        INCLUDE 'aclmem.inc'
	INTEGER acallo
	INCLUDE 'acids.inc'

	INTEGER MYPROC, i

        WRITE (6, *) 'MYPROC?'
	READ  (5, *) MYPROC

	procid = acallo (nprocs)
	DO 10 i = 0, nprocs - 1
	  MEM (procid + i) = 10 * i
 10     CONTINUE

	DO 20 i = 0, nprocs - 1
	  IF (MYPROC .EQ. MEM (procid + i)) local = i
 20     CONTINUE
      END


C      SUBROUTINE acnode (nprocs)
C      IMPLICIT NONE
C      INTEGER nprocs
C
CC       Initialise PARMACS nodes
C
C        INCLUDE 'aclmem.inc'
C        INCLUDE 'acids.inc'
C
C	INTEGER i
C
C        IF (MYPROC .EQ. HOSTID) THEN
CC         *** start up nprocs - 1 "nodes" ***
C	ENDIF
C
C	procid = acallo (nprocs)
C	LOOK_UP_PROCID (MEM (procid), nprocs - 1)
C
C	DO 10 i = 0, nprocs - 1
C	  IF (MYPROC .EQ. MEM (procid + i)) local = i
C 10     CONTINUE
C      END

